Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorspingel2008-04-01 18:02:36 -0400
committerspingel2008-04-01 18:02:36 -0400
commit68caee609bfc30721a58e141cf3eb48e75bb6cf6 (patch)
treef46abb13aa58b7d224f703d63ce38431826b5edb
parent6aee7dadc58e6ebd34799eca4fc2e0cb5be7f3c2 (diff)
downloadorg.eclipse.mylyn-68caee609bfc30721a58e141cf3eb48e75bb6cf6.tar.gz
org.eclipse.mylyn-68caee609bfc30721a58e141cf3eb48e75bb6cf6.tar.xz
org.eclipse.mylyn-68caee609bfc30721a58e141cf3eb48e75bb6cf6.zip
NEW - bug 221939: manage branches
https://bugs.eclipse.org/bugs/show_bug.cgi?id=221939
-rw-r--r--org.eclipse.mylyn.releng/extract-site.sh29
-rw-r--r--org.eclipse.mylyn.releng/update-version.sh22
2 files changed, 41 insertions, 10 deletions
diff --git a/org.eclipse.mylyn.releng/extract-site.sh b/org.eclipse.mylyn.releng/extract-site.sh
index c37cf4b..e5d43f8 100644
--- a/org.eclipse.mylyn.releng/extract-site.sh
+++ b/org.eclipse.mylyn.releng/extract-site.sh
@@ -1,8 +1,21 @@
#!/bin/sh -e
+release() {
+ WEEKLY_TARGET=$HOME/downloads/tools/mylyn/update/$1
+
+ rm -r $WEEKLY_TARGET.old | true
+ mv $WEEKLY_TARGET $WEEKLY_TARGET.old
+
+ cp -a $TARGET $WEEKLY_TARGET
+
+ echo
+ echo Updated site at $WEEKLY_TARGET
+ ls $WEEKLY_TARGET/*
+}
+
if [ $# -lt 2 ]
then
- echo "usage: extract-site.sh version qualifier [-force] [-weekly]"
+ echo "usage: extract-site.sh version qualifier [-force] [-weekly|-dev]"
exit 1
fi
@@ -28,14 +41,10 @@ ls $TARGET/*
if [ "$3" == "-weekly" ] || [ "$4" == "-weekly" ]
then
- WEEKLY_TARGET=$HOME/downloads/tools/mylyn/update/weekly
-
- rm -r $WEEKLY_TARGET.old | true
- mv $WEEKLY_TARGET $WEEKLY_TARGET.old
-
- cp -a $TARGET $WEEKLY_TARGET
+ release weekly
+fi
- echo
- echo Updated weekly site in $WEEKLY_TARGET
- ls $WEEKLY_TARGET/*
+if [ "$3" == "-dev" ] || [ "$4" == "-dev" ]
+then
+ release dev
fi
diff --git a/org.eclipse.mylyn.releng/update-version.sh b/org.eclipse.mylyn.releng/update-version.sh
new file mode 100644
index 0000000..3ee98f5
--- /dev/null
+++ b/org.eclipse.mylyn.releng/update-version.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -e
+
+if [ $# -eq 0 ]
+then
+ echo "usage: update-version.sh [new version]"
+ exit 1
+fi
+
+
+ROOT=$(cd $(dirname $0); pwd)/..
+OLD_VERSION=`grep Bundle-Version $ROOT/org.eclipse.mylyn/META-INF/MANIFEST.MF | sed 's/Bundle-Version: //' | sed 's/.qualifier//'`
+NEW_VERSION=$1
+
+echo renaming version from $OLD_VERSION to $NEW_VERSION
+
+echo processing MAINFEST.MF files...
+find $ROOT/org.eclipse.mylyn* -name MANIFEST.MF -not -path org.eclipse.mylyn.releng | xargs sed -i "s/${OLD_VERSION}\.qualifier/${NEW_VERSION}.qualifier/"
+
+echo processing feature.xml files...
+find $ROOT/org.eclipse.mylyn* -name feature.xml -not -path org.eclipse.mylyn.releng | xargs sed -i "s/${OLD_VERSION}\.qualifier/${NEW_VERSION}.qualifier/"
+
+echo done \ No newline at end of file

Back to the top